net/enet - The NetBSD Packages Collection

Network communication layer that runs on top of UDP

ENet's purpose is to provide a relatively thin, simple and robust network
communication layer on top of UDP (User Datagram Protocol). The primary
feature it provides is optional reliable, in-order delivery of packets.
ENet is NOT intended to be a general purpose high level networking library
that handles authentication, lobbying, server discovery, compression,
encryption and other high level, often application level or dependent tasks.

Build dependencies

pkgtools/cwrappers devel/gmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfenet-1.3.17.tgz
NetBSD 8.0earmv7hfenet-1.3.15.tgz
NetBSD 8.0earmv7hfenet-1.3.17.tgz
NetBSD 8.0i386enet-1.3.15.tgz
NetBSD 8.0i386enet-1.3.17.tgz
NetBSD 8.0i386enet-1.3.17.tgz
NetBSD 8.0powerpcenet-1.3.15.tgz
NetBSD 8.0powerpcenet-1.3.17.tgz
NetBSD 8.0powerpcenet-1.3.17.tgz
NetBSD 8.0powerpcenet-1.3.17.tgz
NetBSD 8.0x86_64enet-1.3.17.tgz
NetBSD 8.0x86_64enet-1.3.15.tgz
NetBSD 8.0x86_64enet-1.3.17.tgz
NetBSD 9.0aarch64enet-1.3.17.tgz
NetBSD 9.0aarch64enet-1.3.15.tgz
NetBSD 9.0aarch64enet-1.3.17.tgz
NetBSD 9.0alphaenet-1.3.17.tgz
NetBSD 9.0alphaenet-1.3.15.tgz
NetBSD 9.0alphaenet-1.3.17.tgz
NetBSD 9.0earmenet-1.3.15.tgz
NetBSD 9.0earmenet-1.3.17.tgz
NetBSD 9.0earmenet-1.3.17.tgz
NetBSD 9.0earmv6hfenet-1.3.17.tgz
NetBSD 9.0earmv6hfenet-1.3.15.tgz
NetBSD 9.0earmv6hfenet-1.3.17.tgz
NetBSD 9.0earmv6hfenet-1.3.17.tgz
NetBSD 9.0earmv7hfenet-1.3.17.tgz
NetBSD 9.0earmv7hfenet-1.3.15.tgz
NetBSD 9.0earmv7hfenet-1.3.17.tgz
NetBSD 9.0earmv7hfenet-1.3.17.tgz
NetBSD 9.0earmv7hfenet-1.3.17.tgz
NetBSD 9.0i386enet-1.3.15.tgz
NetBSD 9.0i386enet-1.3.17.tgz
NetBSD 9.0i386enet-1.3.17.tgz
NetBSD 9.0mips64ebenet-1.3.17.tgz
NetBSD 9.0mips64ebenet-1.3.15.tgz
NetBSD 9.0mips64ebenet-1.3.17.tgz
NetBSD 9.0mipselenet-1.3.17.tgz
NetBSD 9.0mipselenet-1.3.17.tgz
NetBSD 9.0powerpcenet-1.3.17.tgz
NetBSD 9.0powerpcenet-1.3.15.tgz
NetBSD 9.0powerpcenet-1.3.17.tgz
NetBSD 9.0powerpcenet-1.3.17.tgz
NetBSD 9.0sh3elenet-1.3.17.tgz
NetBSD 9.0sh3elenet-1.3.17.tgz
NetBSD 9.0sparc64enet-1.3.17.tgz
NetBSD 9.0sparc64enet-1.3.15.tgz
NetBSD 9.0sparc64enet-1.3.15.tgz
NetBSD 9.0sparc64enet-1.3.17.tgz
NetBSD 9.0sparcenet-1.3.17.tgz
NetBSD 9.0sparcenet-1.3.15.tgz
NetBSD 9.0sparcenet-1.3.17.tgz
NetBSD 9.0vaxenet-1.3.17.tgz
NetBSD 9.0vaxenet-1.3.17.tgz
NetBSD 9.0x86_64enet-1.3.15.tgz
NetBSD 9.0x86_64enet-1.3.17.tgz
NetBSD 9.0x86_64enet-1.3.17.tgz
NetBSD 9.0x86_64enet-1.3.17.tgz
NetBSD 9.0x86_64enet-1.3.15.tgz
NetBSD 9.0x86_64enet-1.3.17.tgz
NetBSD 9.0x86_64enet-1.3.17.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.